spot 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | List of all members
spot::formula::formula_child_iterator Class Referencefinal
Temporal Logic » Essential Temporal Logic Types

Allow iterating over children. More...

`#include <spot/tl/formula.hh>`

Collaboration diagram for spot::formula::formula_child_iterator:

## Public Member Functions
| formula_child_iterator (const fnode *const *f)
bool | operator== (formula_child_iterator o)
bool | operator!= (formula_child_iterator o)
formula | operator* ()
formula_child_iterator | operator++ ()
formula_child_iterator | operator++ (int)

## Detailed Description

Allow iterating over children.

The documentation for this class was generated from the following file:

- spot/tl/formula.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.